ScummVM Now Officially Supports The Wii (And GameCube!)

Thanks to Lucasart's refusal to acknowledge even the existence » 9/02/08 8:20am 9/02/08 8:20am of games from a time when they made games that didn't suck, classic Lucas adventure games languish unsupported when running under more contemporary operating systems. Like Vista. Or...a GameCube. Thankfully, we've got ScummVM to help us out. The latest…